Package: groovy.ginq.transform

## [Java] Annotation Type GQ

- groovy.ginq.transform.GQ

-     @Incubating
      @Documented
      @Retention(RetentionPolicy.SOURCE)
      @Target({ElementType.METHOD})
      @GroovyASTTransformationClass("org.apache.groovy.ginq.transform.GinqASTTransformation")
      public @interface GQ

  Method annotation to make a method call returning GINQ result

  Since:
    4.0.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `String` | `astWalker` Specify the GINQ AST walker to customize GINQ behaviour Default: "org.apache.groovy.ginq.provider.collection.GinqAstWalker"
    `boolean` | `optimize` Whether to optimize the GINQ AST Default: true
    `boolean` | `parallel` Whether to enable parallel querying Default: false
    `Class<?>` | `value` Specify the result type Default: Queryable.class

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public String astWalker

      Specify the GINQ AST walker to customize GINQ behaviour

      Default:
        "org.apache.groovy.ginq.provider.collection.GinqAstWalker"

    - #### public boolean optimize

      Whether to optimize the GINQ AST

      Default:
        true

    - #### public boolean parallel

      Whether to enable parallel querying

      Default:
        false

    - #### public Class<?> value

      Specify the result type

      Default:
        Queryable.class